﻿Imports System.IO
Imports ListViewTest.DataSet1
Public Class frmMain
	Private Sub tsDaten_Click(sender As Object, e As EventArgs) Handles tsMitarbeiter.Click, tsUrlaub.Click, tsStandort.Click
		Select Case True
			Case sender Is tsMitarbeiter : ShowMdiChild(My.Forms.frmMitarbeiter)
			Case sender Is tsUrlaub : ShowMdiChild(My.Forms.frmUrlaub)
			Case sender Is tsStandort : ShowMdiChild(My.Forms.frmStandort)
		End Select
	End Sub

	Private Sub tsListViewS_Click(sender As Object, e As EventArgs) Handles tsListViewGroupS.Click, tsStandortS.Click, tsMitarbeiterS.Click, LVMitDatenToolStripMenuItem.Click
		Select Case True
			Case sender Is tsListViewGroupS : ShowMdiChild(My.Forms.frmListViewGroupS)
			Case sender Is tsStandortS : ShowMdiChild(My.Forms.frmListViewStandortS)
			Case sender Is tsMitarbeiterS : ShowMdiChild(My.Forms.frmListViewMitarbeiterS)
		End Select
	End Sub

	Private Sub tsListViewDaten_Click(sender As Object, e As EventArgs) Handles tsTabbed.Click, tsStandard.Click
		Select Case True
			Case sender Is tsTabbed : ShowMdiChild(My.Forms.frmTabbedMonatsweise)
			Case sender Is tsStandard : ShowMdiChild(My.Forms.frmLvMitDaten)
		End Select
	End Sub

	Private Sub frmMain_Load(sender As Object, e As EventArgs) Handles Me.Load
		Dim fi = New FileInfo("..\..\Daten\dts.xml")
		Dts.Register(Me, True).DataFile(fi.FullName).Fill
	End Sub

	Private Sub ShowMdiChild(frm As Form)
		With frm
			If .Visible Then
				.BringToFront()
			Else
				Dts.Register(.Self, True)
				ControlStyling.StyleControls(.Self)
				.MdiParent = Me
				.Show()
			End If
		End With
	End Sub

	Private Sub MdiOpen(sender As Object, e As EventArgs) Handles Me.MdiChildActivate
		If Me.ActiveMdiChild Is Nothing Then
			tabMDI.Visible = False
		Else
			Me.ActiveMdiChild.WindowState = FormWindowState.Maximized
			Dim tp As New TabPage(Me.ActiveMdiChild.Text)
			If Me.ActiveMdiChild.Tag Is Nothing Then
				tp.Tag = ActiveMdiChild
				tp.Parent = tabMDI
				tabMDI.SelectedTab = tp
				Me.ActiveMdiChild.Tag = tp
				AddHandler Me.ActiveMdiChild.FormClosed, AddressOf MdiClose
			End If
			If Not tabMDI.Visible Then tabMDI.Visible = True
		End If
	End Sub

	Private Sub MdiClose(sender As Object, e As FormClosedEventArgs)
		TryCast(TryCast(sender, Form).Tag, TabPage).Dispose()
	End Sub

	Private Sub MdiActivate(sender As Object, e As EventArgs) Handles tabMDI.SelectedIndexChanged, Me.MdiChildActivate
		If tabMDI.SelectedTab IsNot Nothing AndAlso tabMDI.SelectedTab.Tag IsNot Nothing Then TryCast(tabMDI.SelectedTab.Tag, Form).Select()
	End Sub
End Class
