﻿Public Class MessageBoxes
	Public Shared Sub msgInformation(Nachricht As String)
		MessageBox.Show(Nachricht, "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
	End Sub

	Public Shared Sub Msg(ParamArray items As Object())
		MessageBox.Show(String.Concat(items))
	End Sub

	Public Shared Sub msgEx(ex As Exception)
		MessageBox.Show(ex.Message)
	End Sub

	Public Shared Sub msgExclamation(Nachricht As String)
		MessageBox.Show(Nachricht, "Wichtige Info", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
	End Sub

	Public Shared Sub msgError(Nachricht As String)
		MessageBox.Show(Nachricht, "FEHLER", MessageBoxButtons.OK, MessageBoxIcon.Error)
	End Sub

	Public Shared Function msgQuestionWarning(Nachricht As String) As DialogResult
		Return MessageBox.Show(Nachricht, "Warnung", MessageBoxButtons.YesNo, MessageBoxIcon.Warning)
	End Function

	Public Shared Function msgQuestionInfo(Nachricht As String) As DialogResult
		Return MessageBox.Show(Nachricht, "Frage", MessageBoxButtons.YesNo, MessageBoxIcon.Question)
	End Function

	Public Shared Sub msgDgvError(Nachricht As String, e As DataGridViewDataErrorEventArgs)
		Dim result = MessageBox.Show(String.Concat(Nachricht, Environment.NewLine, "Wollen sie den Datensatz weiter bearbeiten?"),
						 "Achtung!!!", MessageBoxButtons.YesNo, MessageBoxIcon.Error)
		e.Cancel = (result = DialogResult.Yes) ' Werte nochmals editieren oder ganze Zeile verwerfen
	End Sub
End Class
